Redefinir a Senha de um Usuário
curl --request PATCH \
--url https://identity.sandbox.lerian.net/v1/users/{id}/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newPassword": "newpassword"
}
'import requests
url = "https://identity.sandbox.lerian.net/v1/users/{id}/reset-password"
payload = { "newPassword": "newpassword" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newPassword: 'newpassword'})
};
fetch('https://identity.sandbox.lerian.net/v1/users/{id}/reset-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Redefinir a Senha de um Usuário
Use este endpoint para redefinir a senha de um usuário. Ideal para fluxos de recuperação ou redefinições iniciadas pelo administrador.
PATCH
/
v1
/
users
/
{id}
/
reset-password
Redefinir a Senha de um Usuário
Autorizações
O token de autorização no formato 'Bearer '.
Parâmetros de caminho
O identificador único do usuário que você deseja recuperar.
Corpo
application/json
Informações usadas para redefinir a senha de um usuário.
Nova senha do usuário.
Resposta
Se a requisição for bem-sucedida, você receberá uma resposta vazia.
Esta página foi útil?
⌘I

